Re: Compiling ascp-0.9.4, help?

Ethan (allanon@crystaltokyo.com)
Thu, 21 Jan 1999 16:25:51 -0800 (PST)



On Thu, 21 Jan 1999, Albert Schueller wrote:

> I have a stock Redhat 5.1 installation and I'm trying to install ascp-0.9.4
> for use with AfterStep-1.6.6.  I've fought through various issues:
> upgraded to the latest gtk, latest glib and latest imlib.  I now have the
> following error:

[snip]
> 	wharf.o(.text+0x1f8): undefined reference to `gtk_ctree_set_reorderable'
[snip]

> I'm getting sort of punchy now and was wondering if anybody could help me
> out.  I assume I'm still missing some library, but don't know which one.

Hmm.  I checked my copies of gtk+-1.1.2 and 1.1.3, and 
gtk_ctree_set_reorderable was a function.  I checked the gtk+ I downloaded 
from gnome CVS yesterday, and it was a #define macro in gtkcompat.h:

#define gtk_ctree_set_reorderable(t,r) \
        gtk_clist_set_reorderable((GtkCList*) (t),(r))

Maybe the version you have doesn't have either the function or the macro?

----
Ethan Fischer
allanon@crystaltokyo.com
http://members.xoom.com/allanon1


--
   WWW:   http://www.afterstep.org/
   FTP:   ftp://ftp.afterstep.org/
   MAIL:  http://www.caldera.com/linuxcenter/forums/afterstep.html